All of lore.kernel.org
 help / color / mirror / Atom feed
From: Frans Pop <elendil@planet.nl>
To: linux-kbuild@vger.kernel.org
Cc: Sam Ravnborg <sam@ravnborg.org>, maximilian attems <max@stro.at>,
	Andres Salomon <dilinger@debian.org>
Subject: [PATCH 3/14] deb-pkg: fix 'file not found' error when building .deb package for arm
Date: Thu, 23 Apr 2009 01:09:04 +0200	[thread overview]
Message-ID: <200904230109.05537.elendil@planet.nl> (raw)
In-Reply-To: <200904230034.59627.elendil@planet.nl>

Not all architectures prepend the $(boot) path in $(KBUILD_IMAGE).
Allow for that fact in the builddeb script. Example is arm.

Signed-off-by: Frans Pop <elendil@planet.nl>
Cc: maximilian attems <max@stro.at>
Cc: Andres Salomon <dilinger@debian.org>

diff --git a/scripts/package/builddeb b/scripts/package/builddeb
index feebd69..4876ff3 100644
--- a/scripts/package/builddeb
+++ b/scripts/package/builddeb
@@ -53,7 +53,10 @@ if [ "$ARCH" = "um" ] ; then
 else 
 	cp System.map "$tmpdir/boot/System.map-$version"
 	cp .config "$tmpdir/boot/config-$version"
-	cp $KBUILD_IMAGE "$tmpdir/boot/vmlinuz-$version"
+	# Not all arches include the boot path in KBUILD_IMAGE
+	if ! cp $KBUILD_IMAGE "$tmpdir/boot/vmlinuz-$version"; then
+		cp arch/$ARCH/boot/$KBUILD_IMAGE "$tmpdir/boot/vmlinuz-$version"
+	fi
 fi
 
 if grep -q '^CONFIG_MODULES=y' .config ; then

  parent reply	other threads:[~2009-04-22 23:09 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2009-04-22 22:34 [PATCH 0/14] deb-pkg target improvements Frans Pop
2009-04-22 23:08 ` [PATCH 1/14] deb-pkg: minor general improvements in builddeb script Frans Pop
2009-04-22 23:08 ` [PATCH 2/14] deb-pkg: refactor code to reduce duplication Frans Pop
2009-04-22 23:09 ` Frans Pop [this message]
2009-04-22 23:09 ` [PATCH 4/14] deb-pkg: pass Debian maintainer script parameters to packaging hook scripts Frans Pop
2009-04-22 23:09 ` [PATCH 5/14] deb-pkg: allow to specify a custom revision for .deb packages Frans Pop
2009-04-22 23:10 ` [PATCH 6/14] deb-pkg: allow alternative hook scripts directory in " Frans Pop
2009-04-22 23:10 ` [PATCH 7/14] dep-pkg: improve changelog entry and package descriptions Frans Pop
2009-04-22 23:11 ` [PATCH 8/14] deb-pkg: generate debian/copyright file Frans Pop
2009-04-24 17:08   ` [PATCH 8/14 v2] " Frans Pop
2009-04-22 23:11 ` [PATCH 9/14] deb-pkg: improve maintainer identification Frans Pop
2009-04-22 23:11 ` [PATCH 10/14] deb-pkg: improve Source field Frans Pop
2009-04-22 23:12 ` [PATCH 11/14] deb-pkg: fix generated package name Frans Pop
2009-04-22 23:12 ` [PATCH 12/14] deb-pkg: fix Provides field Frans Pop
2009-04-22 23:12 ` [PATCH 13/14] deb-pkg: fix Section field Frans Pop
2009-04-22 23:12 ` [PATCH 14/14] deb-pkg: bump standards version Frans Pop
2009-04-23  9:14 ` [PATCH 0/14] deb-pkg target improvements maximilian attems
2009-05-01 11:38   ` Sam Ravnborg
2009-05-04 15:17     ` maximilian attems
2009-05-04 15:25       ` Sam Ravnborg
2009-05-05  9:17         ` maximilian attems

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=200904230109.05537.elendil@planet.nl \
    --to=elendil@planet.nl \
    --cc=dilinger@debian.org \
    --cc=linux-kbuild@vger.kernel.org \
    --cc=max@stro.at \
    --cc=sam@ravnborg.org \
    --subject='Re: [PATCH 3/14] deb-pkg: fix '\''file not found'\'' error when building .deb package for arm' \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.